// Tooltip bits for diamond

ItemEvents.tooltip(event => {
  
  /*
  event.addAdvanced('minecraft:diamond', (item, advanced, text) => {
    // shift, alt and ctrl are all keys you can check!
    if (!event.shift) {
      text.add(1, [Text.of('Hold ').gold(), Text.of('Shift ').yellow(), Text.of('to see more info about crafting this.').gold()])
    } else {
      text.add(1, Text.white('Item pedestals must contain:').bold(true))
      text.add(2, Text.green('One iron, copper, tin, nickel, aluminum, lead, zinc, silver, gold, osmium and uranium ingot'))
	  text.add(3, Text.green('One redstone dust, glowstone dust, lapis, nether quartz, certus quartz, coal and emerald.'))
    }
  })
  */
  
event.addAdvanced('minecraft:end_portal_frame', (item, advanced, text) => {
    text.add(1, Text.red('Cannot be removed once placed down. Place carefully and check the correct requirements for building an End portal.').bold(true))
})
	
event.addAdvanced('guideme:guide', (item, advanced, text) => {
      text.add(1, Text.red('Causes frequent crashes. Recipe disabled and not recommended to cheat in.').bold(true))
})

event.add('kubejs:nuclear_sludge', ["§8Useless"])

event.add('kubejs:fool_gold_ingot', ["§8Functionally useless but rich in EMC"])

event.addAdvanced('hostilenetworks:prediction_matrix', (item, advanced, text) => {
    text.add(1, Text.green('Making this in a crafting table sucks, check the other recipes!').italic(true))
})

event.addAdvanced('well:well', (item, advanced, text) => {
    text.add(1, Text.green('64,000mb water/tick').italic(true))
})

event.addAdvanced('create:blaze_burner', (item, advanced, text) => {
    text.add(1, Text.green('Look at the Basic Burner for earlygame heat').italic(true))
})

event.addAdvanced('mekanismgenerators:wind_generator', (item, advanced, text) => {
    text.add(1, Text.green('Power output capped at Y128').italic(true))
})

event.add('kubejs:emc_prismatter', ["§1Transformed by mere exposure to the cosmos."])

event.addAdvanced('kubejs:rainbow_jelly', (item, advanced, text) => {
    text.add(1, Text.white('Grants §eStrength 2 §ffor 60 seconds'))
	text.add(1, Text.white('Grants §eRegeneration 1 §ffor 15 seconds'))
})

event.addAdvanced('mbd2:rune_factory', (item, advanced, text) => {
    text.add(1, Text.aqua('Recipe uses 250,000 mana'))
})

event.add('mbd2:black_energy_radiator', ["§2Outputs 25MRF/t passively"])

// Tooltips for the Crystal Chamber
event.add('kubejs:demon_blueprint', ["§eCan be found in mines chests within the demon realm"])

event.add('kubejs:int_catalyst_raw', ["§bUnits of internal demonic will catalyst remaining"])
event.add('kubejs:int_catalyst_steadfast', ["§bUnits of internal steadfast will catalyst remaining"])
event.add('kubejs:int_catalyst_corrosive', ["§bUnits of internal corrosive will catalyst remaining"])
event.add('kubejs:int_catalyst_destructive', ["§bUnits of internal destructive will catalyst remaining"])
event.add('kubejs:int_catalyst_vengeful', ["§bUnits of internal vengeful will catalyst remaining"])

event.addAdvanced('mbd2:crystal_chamber', (item, advanced, text) => {
	if (!event.shift) {
	text.add(1, Text.gray('Hold shift to see details on how this multiblock works!'))	
	}
	if (event.shift) {
	text.add(1, Text.gray('Demon will crystals placed in the §eupper 6 input slots §7of the input port will §econsume their respective internal catalyst to duplicate §7with a chance for bonus extras.'))
	text.add(1, Text.gray('§eInternal crystal catalyst will slowly drain over time §7until empty while not running other processes inside the machine.'))
    text.add(1, Text.gray('Will crystal catalyst placed in the §elower slot §7of the input port will be converted into §e12 units §7of the respective internal catalyst.'))
	}
})

event.add('kubejs:slapis_repair', ["§7Provides maintenance to the MLEM, 10% chance to be consumed every 10 seconds."])

event.addAdvanced('mbd2:mlem_generator', (item, advanced, text) => {
	if (!event.shift) {
	text.add(1, Text.gray('Hold shift to see details on how this multiblock works!'))	
	}
	if (event.shift) {
	text.add(1, Text.gray('Requires maintenance to run, at a §e5% chance §7to consume a lapidary repair kit every §e10 seconds§7.'))
	text.add(1, Text.gray('Piping §ecrystallized sunflower oil §7into the bus-hatch will §ecatalyse the recipe, outputting 40KRF/tick §7for the same running time.'))
	text.add(1, Text.gray('The MLEM will run any recipes a standard lapidary dynamo can while outputting at a rate of §e25KRF/tick§7.'))
	}
})

event.add('mbd2:prisma_solar_array', ["§7Produces §e200KRF/tick §7while in the multiblock structure."])

// Tooltips for items that can be quantised

// Med Covalence
event.add('create:andesite_alloy', ["§7Can be quantised using §3Medium Covalence Dust"])
event.add('embers:ember_crystal', ["§7Can be quantised using §3Medium Covalence Dust"])
event.add('enderio:grains_of_infinity', ["§7Can be quantised using §3Medium Covalence Dust"])

// High Covalence
event.add('ae2:silicon', ["§7Can be quantised using §9High Covalence Dust"])

// Prismatter
event.add('malum:alchemical_calx', ["§7Can be quantised using §fPrismatter"])
event.add('mekanism:basic_control_circuit', ["§7Can be quantised using §fPrismatter"])
event.add('bloodmagic:blankslate', ["§7Can be quantised using §fPrismatter"])
event.add('create:brass_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('ae2:calculation_processor', ["§7Can be quantised using §fPrismatter"])
event.add('immersiveengineering:coal_coke', ["§7Can be quantised using §fPrismatter"])
event.add('pneumaticcraft:ingot_iron_compressed', ["§7Can be quantised using §fPrismatter"])
event.add('thermal:constantan_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('create_new_age:copper_wire', ["§7Can be quantised using §fPrismatter"])
event.add('projecte:dark_matter', ["§7Can be quantised using §fPrismatter"])
event.add('enderio:dark_steel_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('embers:dawnstone_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('thermal:electrum_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('enderio:energetic_alloy_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('ae2:engineering_processor', ["§7Can be quantised using §fPrismatter"])
event.add('ae2:fluix_crystal', ["§7Can be quantised using §fPrismatter"])
event.add('malum:hex_ash', ["§7Can be quantised using §fPrismatter"])
event.add('mekanism:infused_alloy', ["§7Can be quantised using §fPrismatter"])
event.add('thermal:invar_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('ae2:logic_processor', ["§7Can be quantised using §fPrismatter"])
event.add('thermal:lumium_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('botania:mana_diamond', ["§7Can be quantised using §fPrismatter"])
event.add('ars_nouveau:source_gem', ["§7Can be quantised using §fPrismatter"])
event.add('botania:mana_pearl', ["§7Can be quantised using §fPrismatter"])
event.add('botania:mana_powder', ["§7Can be quantised using §fPrismatter"])
event.add('botania:manasteel_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('immersiveengineering:component_iron', ["§7Can be quantised using §fPrismatter"])
event.add('immersiveengineering:component_steel', ["§7Can be quantised using §fPrismatter"])
event.add('create:polished_rose_quartz', ["§7Can be quantised using §fPrismatter"])
event.add('projecte:red_matter', ["§7Can be quantised using §fPrismatter"])
event.add('thermal:signalum_ingot', ["§7Can be quantised using §fPrismatter"])
event.add('mekanism:ingot_steel', ["§7Can be quantised using §fPrismatter"])
event.add('ars_nouveau:wilden_horn', ["§7Can be quantised using §fPrismatter"])
event.add('ars_nouveau:wilden_spike', ["§7Can be quantised using §fPrismatter"])
event.add('ars_nouveau:wilden_wing', ["§7Can be quantised using §fPrismatter"])

// Cosmatter
event.add('kubejs:prismatter', ["§7Can be quantised using §1Cosmatter"])

// Armor Nerf Tooltips
event.add('minecraft:leather_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:leather_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:leather_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:leather_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

event.add('minecraft:chainmail_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:chainmail_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:chainmail_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:chainmail_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

event.add('minecraft:iron_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:iron_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:iron_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:iron_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

event.add('minecraft:golden_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:golden_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:golden_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:golden_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

event.add('minecraft:diamond_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:diamond_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:diamond_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:diamond_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

event.add('minecraft:netherite_helmet', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:netherite_chestplate', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:netherite_leggings', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])
event.add('minecraft:netherite_boots', ["§7Durability has been reduced to §c1§7, try a modded armor instead!"])

// Compression Generator
event.addAdvanced('mbd2:compression_generator', (item, advanced, text) => {
	if (!event.ctrl) {
	text.add(1, Text.red('Hold ctrl to see a list of valid fuels!'))	
	}
	if (event.ctrl) {
	text.add(1, Text.red('Immersive Biodiesel -> 10,000RF/t'))
	text.add(1, Text.red('Thermal Diesel -> 8000RF/t'))
	text.add(1, Text.red('Refined Fuel -> 6000RF/t'))
	text.add(1, Text.red('Refined Sunflower Oil -> 6000RF/t'))
	text.add(1, Text.red('Create Biodiesel -> 4000RF/t'))
	text.add(1, Text.red('Crystallized Sunflower Oil -> 2000RF/t'))
	text.add(1, Text.red('Tree Oil -> 1000RF/t'))
	text.add(1, Text.red('Sunflower Oil -> 1000RF/t'))	
	text.add(1, Text.red('Creosote Oil -> 1000RF/t'))
	}
	if (!event.shift) {
	text.add(1, Text.yellow('Hold shift to see details on how this multiblock works!'))	
	}
	if (event.shift) {
	text.add(1, Text.gray('While the LCE is running heat will build up in the heat vents, §eif the LCE gets too hot it will stop running§7.'))
	text.add(1, Text.gray('Each fuel produces a different rate of RF/tick but §eall fuels run for 100 ticks per 100mb of fuel§7.'))
	text.add(1, Text.gray('The LCE can accept a variety of fuels detailed in the §eCTRL tooltip§7.'))
	}
})

})
